=== debian/changelog ===
xorg (1:7.6+4ubuntu3) natty; urgency=low

  * apport/source_xorg.py:  Fix typo in previous upload

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 05 Apr 2011 11:57:48 -0700

xorg (1:7.6+4ubuntu2) natty; urgency=low

  * apport/source_xorg.py:
    + Wildcarding package names doesn't seem to work.  Look for dri
      experimental package directly.
      (LP: #749809, #747725)
    + Include compiz version tag if the problem is a compiz crash
      (LP: #744355)

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 04 Apr 2011 19:01:36 -0700

xorg (1:7.6+4ubuntu1) natty; urgency=low

  [ Timo Aaltonen ]
  * Merge from Debian unstable. Remaining Ubuntu changes:
    - Add apport hook
    - Demote xfonts-{75DPI,100DPI} to Suggests. Demote xfonts-scalable to
      Recommends.
    - debian/local/Failsafe*: Failsafe X hookup.
    - debian/local/Xsession: Truncate xsession-errors on startup if too big
    - debian/local/Xsession.d/20x11-common_process-args: Add support for
      session command containing args.
    - debian/local/Xsession.d/60x11-common_localhost: Authorise all processes
      running with the user's credentials to connect to the server.
    - debian/rules, debian/control:
      + Add dependencies on x11-common, and symlink /usr/share/doc directories
        of all packages to x11-common's.
    - debian/scripts/vars.*: Don't drop wacom, synaptics from *-all
    - debian/xserver-xorg.postinst.in: Also migrate users from psb → vesa.
  * Removed transitional xlibmesa-gl*, libglu1-* packages, they have only
    'Suggests' or 'Recommends' rdepends left, and other packages available
    that replace them.
  * x11-common: Remove obsolete failsafe configuration files from /etc/gdm.
    (LP: #654353)
  * x11-common: Clean up old configuration file removals from
    {preinst,postinst,postrm}.in.
  * control, rules: Don't build xsf-docs, markdown and wkhtmltopdf are in
    universe.

  [ Bryce Harrington ]
  * apport/source_xorg.py:
    - Include 'xinput list' output for input device issues.
    - For amd64 arch's, include version of ia32-libs package.
  * scripts/vars.amd64, scripts/vars.i386:
    - Include the -qxl video driver in video-all for amd64 and i386, to
      provide remote graphical desktop functionality for KVM.
  * scripts/vars.arm, scripts/vars.armeb, scripts/vars.armel:
    - Drop obscure drivers that are likely irrelevant for ARM.

 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 01 Apr 2011 00:05:38 -0700

xorg (1:7.6~3ubuntu11) natty; urgency=low

  * apport/source_xorg.py:
    - Fix typo in nvidia data collection
    - Only collect gdm logs if gdm appears to be present, so as not to
      cause "file not found" errors when it isn't.
      (LP: #722914)

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 02 Mar 2011 10:56:02 -0800

xorg (1:7.6~3ubuntu10) natty; urgency=low

  * apport/source_xorg.py:
    - Refactor command_output_quiet() to attach_command_output().
      attach_command_output() is designed to follow the API style of
      apport's attach_file() and attach_root_commands_output(), and is less
      susceptible to faults caused by assigning None to elements of the
      report[] dictionary.
      (LP: #712109)
    - Replace remaining calls to command_output_quiet() with specialized
      routine is_process_running().

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 01 Mar 2011 18:15:59 -0800

xorg (1:7.6~3ubuntu9) natty; urgency=low

  * apport/source_xorg.py:
    - Collect jockey info in the case of proprietary drivers
    - Collect update-alternatives info in case of proprietary drivers
    - Generate nvidia-bug-report.log.gz if -nvidia loaded
    - Don't quell errors calling unity_support_test (LP: #710630)
    - Check for null when checking for upgrades.  Can fail if apt.log is
      empty or unreadable. (LP: #723061)

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 01 Mar 2011 16:58:31 -0800

xorg (1:7.6~3ubuntu8) natty; urgency=low

  [Brian Murray]
  * apport/source_xorg.py: Fix compiz bug tagging to tag 'compiz-0.9'
    rather than 'compiz-0.9.2'
    (LP: #724598)

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 24 Feb 2011 18:27:30 -0800

xorg (1:7.6~3ubuntu7) natty; urgency=low

  * Mark x11-common as Multi-Arch: foreign, so foreign-architecture libs
    have their dependency satisfied by it.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 22 Feb 2011 03:41:05 +0000

xorg (1:7.6~3ubuntu6) natty; urgency=low

  * apport/source_xorg.py:
    - Fix typo in pci parsing so it correctly gets gpu pci id

 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 18 Feb 2011 16:10:53 -0800

xorg (1:7.6~3ubuntu5) natty; urgency=low

  * apport/source_xorg.py:
    - Add 'locale' information (for keyboards)
    - Drop 'glxinfo' since it's been demoted to universe (LP: #714784)
    - Switch to new attach_root_command_outputs() call.  Prevents prompting
      for password 3 times for 3 gdm files (thanks Pitti!) (LP: #716595)

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 17 Feb 2011 11:42:58 -0800

xorg (1:7.6~3ubuntu4) natty; urgency=low

  * apport/source_xorg.py:
    - Fix misspelling of CompositorRunning
    - report[compiz_version] should just be compiz_version (LP: #716733)

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 10 Feb 2011 19:07:11 -0800

xorg (1:7.6~3ubuntu3) natty; urgency=low

  * apport/source_xorg.py:
    - Tag bugs with compiz version
    - Trim out colored output from unity_support_test, which causes apport
      to choke when reporting compiz bugs.
      (LP: #710630)

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 02 Feb 2011 16:03:57 -0800

xorg (1:7.6~3ubuntu1) natty; urgency=low

  * Merge from (unreleased) Debian experimental.  Remaining Ubuntu changes:
    - Add apport hook
    - Demote xfonts-{75DPI,100DPI} to Suggests.  Demote xfonts-scalable to
      Recommends.
    - Keep old transitional packages; these still have rdepends in Ubuntu
      + xlibmesa-gl
      + xlibmesa-gl-dev
      + xlibmesa-glu
      + libglu1-xorg
      + libglu1-xorg-dev

