## xorg 7.6+4ubuntu3.2

=== debian/changelog ===
xorg (1:7.6+4ubuntu3.2) natty-security; urgency=low

  * SECURITY UPDATE: console requirement bypass (LP: #918332)
    - debian/local/xserver-wrapper.c: drop alternative TTY support, and
      also reset effective group id. Patch obtained from Debian squeeze
      update.
    - CVE-2011-4613

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 18 Jan 2012 13:30:25 -0500

xorg (1:7.6+4ubuntu3.1) natty-proposed; urgency=low

  * apport/source_xorg.py:
    - Simplify answers for bug reporters filing post-release reports.
      (LP: #778758)
    - Remove attach_drm_info().  This is useful info but we use it very
      infrequently, and it is already available in other log files.  But the
      call makes bug reports a bit cluttered since it adds a lot of lines to
      the report itself.

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 07 Apr 2011 14:02:40 -0700
