## xorg 7.6+4ubuntu3.2+5.0trisquel1

=== debian/changelog ===
xorg (1:7.6+4ubuntu3.2+5.0trisquel1) dagda; urgency=low

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 04 Feb 2012 02:52:05 +0000
