## xorg 7.6+7ubuntu7

=== debian/rules ===
--- 
+++ 
@@ -34,9 +34,8 @@
 clean: cleanscripts
 	dh_testdir
 	dh_clean debian/local/X debian/po/pothead
-#	$(MAKE) -C xsf-docs clean
+	$(MAKE) -C xsf-docs clean
 	-rm -rf stampdir
-	-rm -f debian/po-failsafe/failsafexinit.pot
 	-debconf-updatepo
 
 
@@ -51,14 +50,8 @@
 	dh_testdir
 	# build Debian's X server wrapper
 	$(CC) -Wall -g -O2 -o debian/local/X debian/local/xserver-wrapper.c
-	xgettext -f debian/po-failsafe/POTFILES.in -d failsafexinit -o debian/po-failsafe/failsafexinit.pot -L Shell
-ifneq (,$(filter sparc sparc64,$(DEB_HOST_ARCH)))
-	# work around wkhtmltopdf's sigbus on sparc (#613141):
-#	sed -i '/background-image.*svg/d' xsf-docs/xsf.css
-endif
-	# build XSF docs, under xvfb for wkhtmltodpf:
-#	xvfb-run -- $(MAKE) -C xsf-docs
-#	touch $@
+	$(MAKE) -C xsf-docs
+	touch $@
 
 build-arch-only: build
 build-all:
@@ -68,7 +61,7 @@
 	dh_testdir
 	dh_testroot
 	dh_prep
-#	$(MAKE) -C xsf-docs install DESTDIR=$(CURDIR)/debian/xserver-xorg/usr/share/doc/xorg
+	$(MAKE) -C xsf-docs install DESTDIR=$(CURDIR)/debian/xserver-xorg/usr/share/doc/xorg
 	touch $@
 
 binary-indep: DH_OPTIONS=-i
@@ -81,19 +74,17 @@
 	dh_installdocs
 	dh_installchangelogs
 	dh_installinit -px11-common -u'start 70 S .'
-	dh_installinit -px11-common --no-start --upstart-only --name failsafe-x
 	dh_installman
 	dh_lintian
 	dh_link
 	dh_compress
-	t=x11-common; \
-	for p in $$(dh_listpackages -i -N$$t); do \
-	  rm -rf debian/$$p/usr/share/doc/$$p; \
-	  ln -s $$t debian/$$p/usr/share/doc/$$p; \
+	set -e ;\
+	for p in $$(dh_listpackages -i); do \
 	  ( \
-	    echo "# doc dir is now a symlink to $$p"; \
-	    echo 'if [ "$$1" = upgrade ] && [ ! -L /usr/share/doc/'$$p' ]; then'; \
-	    echo "    rm -rf /usr/share/doc/$$p"; \
+	    echo "# Undo doc-dir symlinking.  Leave this to pkgbinarymangler"; \
+	    echo "# This can be removed after the next LTS" ; \
+	    echo 'if [ "$$1" = upgrade ] && [ -L /usr/share/doc/'$$p' ]; then'; \
+	    echo "    rm -f /usr/share/doc/$$p"; \
 	    echo "fi"; \
 	  ) >> debian/$$p.preinst.debhelper; \
 	done
@@ -129,14 +120,13 @@
 	dh_link
 	dh_strip
 	dh_compress
-	t=x11-common; \
-	for p in $$(dh_listpackages -s -N$$t); do \
-	  rm -rf debian/$$p/usr/share/doc/$$p; \
-	  ln -s $$t debian/$$p/usr/share/doc/$$p; \
+	set -e ;\
+	for p in $$(dh_listpackages -a); do \
 	  ( \
-	    echo "# doc dir is now a symlink to $$p"; \
-	    echo 'if [ "$$1" = upgrade ] && [ ! -L /usr/share/doc/'$$p' ]; then'; \
-	    echo "    rm -rf /usr/share/doc/$$p"; \
+	    echo "# Undo doc-dir symlinking.  Leave this to pkgbinarymangler."; \
+	    echo "# This can be removed after the next LTS" ; \
+	    echo 'if [ "$$1" = upgrade ] && [ -L /usr/share/doc/'$$p' ]; then'; \
+	    echo "    rm -f /usr/share/doc/$$p"; \
 	    echo "fi"; \
 	  ) >> debian/$$p.preinst.debhelper; \
 	done
