## xorg 7.6+7ubuntu7.1

=== debian/changelog ===
xorg (1:7.6+7ubuntu7.1) oneiric-security; urgency=low

  * SECURITY UPDATE: console requirement bypass (LP: #918332)
    - debian/local/xserver-wrapper.c: drop alternative TTY support, and
      also reset effective group id. Patch obtained from Debian squeeze
      update.
    - CVE-2011-4613

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 18 Jan 2012 13:35:02 -0500
