## xorg 7.6+8~bpo60+1

=== debian/changelog ===
xorg (1:7.6+8~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 18 Aug 2011 00:04:05 +0200
