=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: xorg
 Section: x11
 Priority: optional
-Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>, Cyril Brulebois <kibi@debian.org>
 Standards-Version: 3.9.2
 Build-Depends:
- debhelper (>= 7.3.15ubuntu3),
+ debhelper (>= 7),
  po-debconf,
 # xsf-docs:
  asciidoc,
@@ -32,17 +31,18 @@
 Package: xserver-xorg
 Architecture: any
 Depends:
- xserver-xorg-core (>= 2:1.9.99.901+git20110131),
+ xserver-xorg-core (>= 2:1.9.0.901),
  xserver-xorg-video-all | xorg-driver-video,
  xserver-xorg-input-all | xorg-driver-input,
  xserver-xorg-input-evdev [linux-any],
- hal (>= 0.5.12~git20090406) [kfreebsd-any],
+ hal (>= 0.5.14-4~) [kfreebsd-any],
  ${shlibs:Depends},
  ${misc:Depends},
  xkb-data (>= 1.4),
  x11-xkb-utils
 Recommends:
  libgl1-mesa-dri,
+Provides: xserver
 Description: X.Org X server
  This package depends on the full suite of the server and drivers for the
  X.Org X server.  It does not provide the actual server itself.
@@ -81,6 +81,9 @@
  libgl1-mesa-dri,
  libglu1-mesa,
  xfonts-base (>= 1:1.0.0-1),
+ xfonts-100dpi (>= 1:1.0.0-1),
+ xfonts-75dpi (>= 1:1.0.0-1),
+ xfonts-scalable (>= 1:1.0.0-1),
  x11-apps,
  x11-session-utils,
  x11-utils,
@@ -94,14 +97,8 @@
  xorg-docs-core,
  xterm | x-terminal-emulator,
  ${misc:Depends},
- x11-common,
- xinput,
-Recommends:
- xfonts-scalable (>= 1:1.0.0-1),
 Provides: x-window-system, x-window-system-core
-Suggests: xorg-docs,
- xfonts-100dpi (>= 1:1.0.0-1),
- xfonts-75dpi (>= 1:1.0.0-1)
+Suggests: xorg-docs
 Description: X.Org X Window System
  This metapackage provides the components for a standalone
  workstation running the X Window System.  It provides the X libraries, an X
@@ -174,7 +171,6 @@
  xserver-xorg-dev,
  xtrans-dev,
  ${misc:Depends},
- x11-common,
 Description: X.Org X Window System development libraries
  This metapackage provides the development libraries for the X.Org X Window
  System.
@@ -199,7 +195,6 @@
  xauth,
  xinit,
  ${misc:Depends},
- x11-common,
 Description: miscellaneous X clients - metapackage
  An X client is a program that interfaces with an X server (almost always via
  the X libraries), and thus with some input and output hardware like a
@@ -222,7 +217,6 @@
  x11-session-utils,
  xfonts-utils,
  ${misc:Depends},
- x11-common,
 Description: X Window System utility programs metapackage
  xutils provides a set of utility programs shipped with the X Window System.
  Many of these programs are useful even on a system that does not have any X
