=== debian/rules ===
--- 
+++ 
@@ -78,16 +78,6 @@
 	dh_lintian
 	dh_link
 	dh_compress
-	set -e ;\
-	for p in $$(dh_listpackages -i); do \
-	  ( \
-	    echo "# Undo doc-dir symlinking.  Leave this to pkgbinarymangler"; \
-	    echo "# This can be removed after the next LTS" ; \
-	    echo 'if [ "$$1" = upgrade ] && [ -L /usr/share/doc/'$$p' ]; then'; \
-	    echo "    rm -f /usr/share/doc/$$p"; \
-	    echo "fi"; \
-	  ) >> debian/$$p.preinst.debhelper; \
-	done
 	dh_fixperms
 	chown root:root debian/x11-common/etc/X11/Xreset
 	chmod 755 debian/x11-common/etc/X11/Xreset
@@ -120,16 +110,6 @@
 	dh_link
 	dh_strip
 	dh_compress
-	set -e ;\
-	for p in $$(dh_listpackages -a); do \
-	  ( \
-	    echo "# Undo doc-dir symlinking.  Leave this to pkgbinarymangler."; \
-	    echo "# This can be removed after the next LTS" ; \
-	    echo 'if [ "$$1" = upgrade ] && [ -L /usr/share/doc/'$$p' ]; then'; \
-	    echo "    rm -f /usr/share/doc/$$p"; \
-	    echo "fi"; \
-	  ) >> debian/$$p.preinst.debhelper; \
-	done
 	dh_fixperms
 	chown root:root debian/xserver-xorg/usr/bin/X
 	chmod ug+s debian/xserver-xorg/usr/bin/X
