## xorg 7.6+9

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
 Package: xserver-xorg
 Architecture: any
 Depends:
- xserver-xorg-core (>= 2:1.9.0.901),
+ xserver-xorg-core (>= 2:1.11),
  xserver-xorg-video-all | xorg-driver-video,
  xserver-xorg-input-all | xorg-driver-input,
  xserver-xorg-input-evdev [linux-any],
