## xorg 7.7%2B1ubuntu8.1

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,13 @@
 else
 CC ?=gcc
 endif
+CFLAGS = \
+	-Wall \
+	$(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CFLAGS)
+CPPFLAGS = \
+	$(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CPPFLAGS)
+LDFLAGS = \
+	$(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get LDFLAGS)
 
 # debhelper
 export DH_OPTIONS
@@ -49,7 +56,7 @@
 build-stamp: scripts-stamp
 	dh_testdir
 	# build Debian's X server wrapper
-	$(CC) -Wall -g -O2 -o debian/local/X debian/local/xserver-wrapper.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o debian/local/X debian/local/xserver-wrapper.c
 	$(MAKE) -C xsf-docs
 	touch $@
 
@@ -78,6 +85,16 @@
 	dh_lintian
 	dh_link
 	dh_compress
+	set -e ;\
+	for p in $$(dh_listpackages -i); do \
+	  ( \
+	    echo "# Undo doc-dir symlinking.  Leave this to pkgbinarymangler"; \
+	    echo "# This can be removed after the next LTS" ; \
+	    echo 'if [ "$$1" = upgrade ] && [ -L /usr/share/doc/'$$p' ]; then'; \
+	    echo "    rm -f /usr/share/doc/$$p"; \
+	    echo "fi"; \
+	  ) >> debian/$$p.preinst.debhelper; \
+	done
 	dh_fixperms
 	chown root:root debian/x11-common/etc/X11/Xreset
 	chmod 755 debian/x11-common/etc/X11/Xreset
@@ -110,6 +127,16 @@
 	dh_link
 	dh_strip
 	dh_compress
+	set -e ;\
+	for p in $$(dh_listpackages -a); do \
+	  ( \
+	    echo "# Undo doc-dir symlinking.  Leave this to pkgbinarymangler."; \
+	    echo "# This can be removed after the next LTS" ; \
+	    echo 'if [ "$$1" = upgrade ] && [ -L /usr/share/doc/'$$p' ]; then'; \
+	    echo "    rm -f /usr/share/doc/$$p"; \
+	    echo "fi"; \
+	  ) >> debian/$$p.preinst.debhelper; \
+	done
 	dh_fixperms
 	chown root:root debian/xserver-xorg/usr/bin/X
 	chmod ug+s debian/xserver-xorg/usr/bin/X
