## xorg 7.7%2B23ubuntu4

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
-Uploaders: Drew Parsons <dparsons@debian.org>, Cyril Brulebois <kibi@debian.org>
-Standards-Version: 3.9.2
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Build-Depends:
  dpkg (>= 1.16.1),
- debhelper (>= 7.3.15ubuntu3),
+ debhelper-compat (= 12),
  po-debconf,
 # xsf-docs:
  asciidoc,
-Vcs-Git: git://git.debian.org/git/pkg-xorg/debian/xorg
-Vcs-Browser: http://git.debian.org/?p=pkg-xorg/debian/xorg.git
+Vcs-Git: https://salsa.debian.org/xorg-team/debian/xorg
+Vcs-Browser: https://salsa.debian.org/xorg-team/debian/xorg
+Homepage: https://www.x.org/
 
 Package: x11-common
 Architecture: all
@@ -33,50 +34,38 @@
 Package: xserver-xorg
 Architecture: any
 Depends:
- xserver-xorg-core (>= 2:1.11),
- xserver-xorg-video-all (>= 0~) | xorg-driver-video,
- xserver-xorg-input-all (>= 0~) | xorg-driver-input,
- xserver-xorg-input-evdev (>= 0~) [linux-any],
- hal (>= 0.5.14-4~) [kfreebsd-any],
+ xserver-xorg-core (>= 2:1.17.2-2),
+ xserver-xorg-legacy [!linux-any],
+ xserver-xorg-input-all | xorg-driver-input,
  ${shlibs:Depends},
  ${misc:Depends},
  xkb-data (>= 1.4),
- x11-xkb-utils
+ x11-xkb-utils,
+ python3-apport,
 Recommends:
  libgl1-mesa-dri,
-Provides:
- xserver-xorg-renamed,
- xserver,
-Replaces:
- xserver-xorg-renamed,
- xorg-renamed-package,
-Conflicts:
- xserver-xorg-renamed,
- xorg-renamed-package,
+ mesa-vulkan-drivers,
+ xserver-xorg-legacy [linux-any],
+ xserver-xorg-video-all,
+Provides: xserver
 Description: X.Org X server
  This package depends on the full suite of the server and drivers for the
  X.Org X server.  It does not provide the actual server itself.
 
-Package: xserver-xorg-lts-precise
-Architecture: any
-Depends:
- xserver-xorg (>= 0~),
-Recommends:
- libgl1-mesa-dri (>= 0~),
- libgl1-mesa-glx (>= 0~),
- xserver-xorg-video-all (>= 0~),
- xserver-xorg-input-all (>= 0~),
-Description: X.Org X server
- This package depends on the full suite of the server and drivers for the
- X.Org X server.  It does not provide the actual server itself.
-
 Package: xserver-xorg-video-all
 Architecture: any
 Depends:
- ${F:XServer-Xorg-Video-Depends},
- ${misc:Depends},
-Recommends:
- ${F:XServer-Xorg-Video-Recommends},
+ xserver-xorg-video-amdgpu [!hurd-any !kfreebsd-any !s390x],
+ xserver-xorg-video-ati [!hurd-any !s390x],
+ xserver-xorg-video-fbdev [!s390x],
+ xserver-xorg-video-dummy [s390x],
+ xserver-xorg-video-nouveau [amd64 arm64 armhf i386 powerpc x32],
+ xserver-xorg-video-vesa [!s390x],
+ xserver-xorg-video-vmware [amd64 hurd-i386 i386 x32],
+ ${misc:Depends},
+Recommends:
+ xserver-xorg-video-intel [amd64 i386 kfreebsd-any x32],
+ xserver-xorg-video-qxl [amd64 i386 x32],
 Replaces: xserver-xorg-driver-all
 Conflicts: xserver-xorg-driver-all
 Description: X.Org X server -- output driver metapackage
@@ -87,10 +76,13 @@
 Package: xserver-xorg-input-all
 Architecture: any
 Depends:
- ${F:XServer-Xorg-Input-Depends},
- ${misc:Depends},
-Recommends:
- ${F:XServer-Xorg-Input-Recommends},
+ xserver-xorg-input-kbd [!linux-any],
+ xserver-xorg-input-libinput [linux-any],
+ xserver-xorg-input-mouse [!linux-any],
+ xserver-xorg-input-synaptics [!linux-any],
+ ${misc:Depends},
+Recommends:
+ xserver-xorg-input-wacom [!hurd-any !kfreebsd-any !s390x],
 Description: X.Org X server -- input driver metapackage
  This package depends on the full suite of input drivers for the X.Org X server
  (Xorg).  It does not provide any drivers itself, and may be removed if you wish
@@ -99,15 +91,14 @@
 Package: xorg
 Architecture: any
 Depends:
- xserver-xorg (>= ${binary:Version}) | xserver-xorg-renamed,
- libgl1-mesa-glx | libgl1,
- libgl1-mesa-dri,
- libglu1-mesa,
+ xserver-xorg (>= ${binary:Version}),
+ libgl1 [!armhf],
+ libgl1-mesa-dri [!armhf],
+ libglu1-mesa [!armhf],
  xfonts-base (>= 1:1.0.0-1),
  x11-apps,
  x11-session-utils,
  x11-utils,
- x11-xfs-utils,
  x11-xkb-utils,
  x11-xserver-utils,
  xauth,
@@ -115,16 +106,17 @@
  xfonts-utils,
  xkb-data,
  xorg-docs-core,
- xterm | x-terminal-emulator,
- ${misc:Depends},
- x11-common,
+ gnome-terminal | xterm | x-terminal-emulator,
+ ${misc:Depends},
  xinput,
 Recommends:
  xfonts-scalable (>= 1:1.0.0-1),
 Provides: x-window-system, x-window-system-core
-Suggests: xorg-docs,
+Suggests:
+ xorg-docs,
  xfonts-100dpi (>= 1:1.0.0-1),
- xfonts-75dpi (>= 1:1.0.0-1)
+ xfonts-75dpi (>= 1:1.0.0-1),
+ x11-xfs-utils,
 Description: X.Org X Window System
  This metapackage provides the components for a standalone
  workstation running the X Window System.  It provides the X libraries, an X
@@ -171,33 +163,10 @@
  libxvmc-dev,
  libxxf86dga-dev,
  libxxf86vm-dev,
- x11proto-bigreqs-dev,
- x11proto-composite-dev,
- x11proto-core-dev,
- x11proto-damage-dev,
- x11proto-dmx-dev,
- x11proto-fixes-dev,
- x11proto-fonts-dev,
- x11proto-gl-dev,
- x11proto-input-dev,
- x11proto-kb-dev,
- x11proto-randr-dev,
- x11proto-record-dev,
- x11proto-render-dev,
- x11proto-resource-dev,
- x11proto-scrnsaver-dev,
- x11proto-video-dev,
- x11proto-xcmisc-dev,
- x11proto-xext-dev,
- x11proto-xf86bigfont-dev,
- x11proto-xf86dga-dev,
- x11proto-xf86dri-dev,
- x11proto-xf86vidmode-dev,
- x11proto-xinerama-dev,
+ x11proto-dev,
  xserver-xorg-dev,
  xtrans-dev,
  ${misc:Depends},
- x11-common,
 Description: X.Org X Window System development libraries
  This metapackage provides the development libraries for the X.Org X Window
  System.
@@ -216,13 +185,13 @@
  x11-apps,
  x11-session-utils,
  x11-utils,
- x11-xfs-utils,
  x11-xkb-utils,
  x11-xserver-utils,
  xauth,
  xinit,
  ${misc:Depends},
- x11-common,
+Suggests:
+ x11-xfs-utils,
 Description: miscellaneous X clients - metapackage
  An X client is a program that interfaces with an X server (almost always via
  the X libraries), and thus with some input and output hardware like a
@@ -239,13 +208,13 @@
 Section: x11
 Architecture: all
 Depends:
- x11-xfs-utils,
  x11-utils,
  x11-xserver-utils,
  x11-session-utils,
  xfonts-utils,
  ${misc:Depends},
- x11-common,
+Suggests:
+ x11-xfs-utils,
 Description: X Window System utility programs metapackage
  xutils provides a set of utility programs shipped with the X Window System.
  Many of these programs are useful even on a system that does not have any X
